Openi DeveloperDeveloper
Referência da APIData sources

Update data source

PATCH
/v1/data-sources/{id}

Authorization

ApiKeyAuth
x-api-key<token>

Tenant API key

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
config?|||||

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/data-sources/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "type": "webhook",  "name": "string",  "created_at": "2019-08-24T14:15:22Z",  "status": "pending_first_sample",  "listening_until": "2019-08-24T14:15:22Z",  "webhook_url": "string",  "secret_plain": "string",  "config": {}}